program CalcAmp
  use sep
  implicit none

  integer             :: n1,n2,n3,esize
  complex,allocatable :: data(:,:,:)

  call sep_init()
  call from_history("n1",n1,1)
  call from_history("n2",n2,1)
  call from_history("n3",n3,1)
  call from_history("esize",esize)
  if (esize.ne.8) call erexit("Error:  esize.ne.8")
  call to_history("esize",4)
  call sep_close()

  allocate(data(n1,n2,n3))

  ! Convert to Phase
  call sreed("in" ,    data ,8*size(data))
  call srite("out",abs(data),4*size(data))

  ! Exit this
  deallocate(data)
  call exit(0)

end program
