#include <stdio.h>
#include <stdlib.h>
#include <math.h>


int c_init_(int *pnt, int *nst, int *nft, float *dt, int *vel_nz, int *vel_nx, float *vel_dz, float *vel_dx, int *dev_num, float *sinus_cpu)
{
  printf("Hello World");
  printf("pnt %i nst %i nft %i dt %d vel_nz %i vel_nx %i vel_dz %d vel_dx %d dev_num %i \n", pnt, nst, nft, dt, vel_nz, vel_nx, vel_dz, vel_dx, dev_num);
  gpu_init(pnt, nst, nft, dt, vel_nz, vel_nx, vel_dz, vel_dx, dev_num, sinus_cpu);
  return (1);
}

int c_init_model_(int *nrec, int *nsrc)
{
  gpu_init_model(nrec, nsrc);
  return (1);
}

int c_init_prop_(int *nrec, int *nsrc, int *n1s, int *n2s, int *crop1, int *crop2)
{
  gpu_init_prop(nrec, nsrc, n1s, n2s, crop1, crop2 );
  return (1);
}

int c_vel_update_(float *vel, float *vel2)
{
  gpu_vel_update(vel, vel2);
  return (1);
}


int c_model_(int *src_zx, int *rec_zx, float *s_amp, int *s_phs, float *r_real, float *r_imag, int *ft_j)
{
  gpu_model(src_zx, rec_zx, s_amp, s_phs, r_real, r_imag, ft_j);
  return (1);
}

int c_prop_for_(int *src_zx, float *s_amp, int *s_phs, float *w_real_cpu, float *w_imag_cpu, int *ft_j)
{
  gpu_prop_for(src_zx, s_amp, s_phs, w_real_cpu, w_imag_cpu, ft_j);
  return (1);
}

int c_prop_adj_(int *rec_zx, float *r_amp, int *r_phs, float *w_real_cpu, float *w_imag_cpu, int *ft_j)
{
  gpu_prop_adj(rec_zx, r_amp, r_phs, w_real_cpu, w_imag_cpu, ft_j);
  return (1);
}

